Truztcube Docs
API ReferenceDirectors

Get director by ID

Retrieve a specific director by their ID.

GET/v1/directors/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

curl -X GET "https://example.com/v1/directors/string"
{  "success": true,  "statusCode": 200,  "message": "Request processed successfully",  "timestamp": "2025-10-20T16:30:00.000Z",  "path": "/v1/auth/register",  "data": {    "id": "string",    "organisationId": "string",    "firstName": "string",    "lastName": "string",    "fullName": "string",    "email": "string",    "phone": "string",    "nin": "string",    "address": "string",    "dateOfBirth": "2019-08-24T14:15:22Z",    "isActive": true,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}